Subject: Re: patch submission process, was Re: [PATCH v6 06/16] merge_recursive: abort properly upon errors

From: Richard Ipsum <[email-masked]>
Date: Sat, 6 Aug 2016 17:45:54 +0100

On Fri, Aug 05, 2016 at 05:24:14PM +0200, Johannes Schindelin wrote:
[snip]
> > 
> > This "unified review storage format" really does seem to be the missing
> > piece.
> 
> FWIW I do not think so. The real trick will be to come up with an
> improvement to the process that lets Junio and Peff continue to work as
> before, because It Works For Them, while at the same time letting other
> people (such as myself) use easy-to-configure tools that add substantial
> convenience.
> 
> Which, to me, means that the missing piece is a clever idea how to
> integrate with the mail-based process, without requiring everybody and her
> dog to switch to a specific mail client.

Fair enough, yes it seems to me that git's own review process
is probably a separate discussion.

As far as review tools such as git-appraise, git-series and git-candidate
are concerned, the review storage format really is the missing piece though,
in my opinion,
at least if we want to live in a world with compatible review tooling.

> 
> > The tool I've been working on for the past year (git-candidate) was
> > initially aimed at contrib[1], and was written in perl solely to satisfy
> > contrib rules. It would have been python otherwise.
> 
> Oh...?
> 
> $ git ls-files contrib/\*.py | wc -l
> 4
> 
> And for that matter:
> 
> $ git ls-files contrib/\*.go | wc -l
> 4

I read this guide[1] before I started, and wanted to be on the safe side.
Maybe that was a mistake... :/

> 
> In fact, there are even PHP scripts:
> 
> $ git ls-files contrib | sed -n 's/.*\.//p' | sort | grep -v '.....' |
> 	uniq | tr '\n' ' '
> bash c el Git go perl php pl pm py rst sh tcsh txt zsh
> 
> But again, I do not think that it makes sense to focus too much on a
> language, or on a file format, before we came up with a strategy how to
> *not* require everybody to change their current ways.

Fair enough. :)

Thanks,
Richard Ipsum

[1]: https://www.kernel.org/pub/software/scm/git/docs/howto/new-command.html